GET https://api.ap1.datadoghq.com/api/v2/saml_configurations https://api.ap2.datadoghq.com/api/v2/saml_configurations https://api.datadoghq.eu/api/v2/saml_configurations https://api.ddog-gov.com/api/v2/saml_configurations https://api.us2.ddog-gov.com/api/v2/saml_configurations https://api.uk1.datadoghq.com/api/v2/saml_configurations https://api.datadoghq.com/api/v2/saml_configurations https://api.us3.datadoghq.com/api/v2/saml_configurations https://api.us5.datadoghq.com/api/v2/saml_configurations
Overview Get the list of SAML configurations for the current organization. An organization has at most one SAML configuration.
This endpoint requires the org_management permission.
Response OK
Response containing a list of SAML configurations.
Expand All
Array of SAML configurations. An organization has at most one SAML configuration.
Attributes of a SAML configuration.
assertion_consumer_service
The assertion consumer service (ACS) URLs that the identity provider posts SAML responses to.
Creation time of the SAML configuration.
The service provider entity ID Datadog presents to the identity provider.
Expiration time of the uploaded identity provider metadata.
Whether identity-provider-initiated login is enabled for the organization.
Email domains for which users are automatically provisioned on first SAML login
(just-in-time provisioning).
Time of the last SAML configuration modification.
The single sign-on URL users can visit to start a SAML login.
Returns null when the organization is identity-provider-initiated and has no subdomain.
The UUID of the SAML configuration.
Relationships of a SAML configuration.
An array containing type and the unique identifier of a role.
The unique identifier of the role.
Roles type.
Allowed enum values: roles
default: roles
SAML configurations resource type.
Allowed enum values: saml_configurations
default: saml_configurations
Resources related to the SAML configurations, such as the default roles.
Creation time of the role.
Time of last role modification.
The name of the role. The name is neither unique nor a stable identifier of the role.
receives_permissions_from
The managed role from which this role automatically inherits new permissions.
Specify one of the following: "Datadog Admin Role", "Datadog Standard Role", or "Datadog Read Only Role".
If empty or not specified, the role does not automatically inherit permissions from any managed role.
Number of users with that role.
The unique identifier of the role.
Relationships of the role object returned by the API.
Relationship to multiple permissions objects.
Relationships to permission objects.
Permissions resource type.
Allowed enum values: permissions
default: permissions
Roles type.
Allowed enum values: roles
default: roles
{
"data" : [
{
"attributes" : {
"assertion_consumer_service" : [
"https://app.datadoghq.com/account/saml/assertion"
],
"created_at" : "2019-09-19T10:00:00.000Z" ,
"entity_id" : "https://app.datadoghq.com/account/saml/metadata.xml?id=00000000-0000-0000-0000-000000000000" ,
"expires_at" : "2010-10-26T13:31:15+00:00" ,
"idp_initiated" : true ,
"jit_domains" : [
"example.com"
],
"modified_at" : "2019-09-19T10:00:00.000Z" ,
"sso_url" : "https://app.datadoghq.com/account/login/id/00000000-0000-0000-0000-000000000000"
},
"id" : "3653d3c6-0c75-11ea-ad28-fb5701eabc7d" ,
"relationships" : {
"default_roles" : {
"data" : [
{
"id" : "3653d3c6-0c75-11ea-ad28-fb5701eabc7d" ,
"type" : "roles"
}
]
}
},
"type" : "saml_configurations"
}
],
"included" : [
{
"attributes" : {
"created_at" : "2019-09-19T10:00:00.000Z" ,
"modified_at" : "2019-09-19T10:00:00.000Z" ,
"name" : "string" ,
"receives_permissions_from" : [],
"user_count" : "integer"
},
"id" : "string" ,
"relationships" : {
"permissions" : {
"data" : [
{
"id" : "string" ,
"type" : "permissions"
}
]
}
},
"type" : "roles"
}
]
} Authentication Error
{
"errors" : [
"Bad Request"
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/saml_configurations " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
List SAML configurations returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.organizations_api import OrganizationsApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = OrganizationsApi ( api_client )
response = api_instance . list_saml_configurations ()
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# List SAML configurations returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: OrganizationsAPI . new
p api_instance . list_saml_configurations ()
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// List SAML configurations returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewOrganizationsApi ( apiClient )
resp , r , err := api . ListSAMLConfigurations ( ctx )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `OrganizationsApi.ListSAMLConfigurations`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `OrganizationsApi.ListSAMLConfigurations`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// List SAML configurations returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.OrganizationsApi ;
import com.datadog.api.client.v2.model.SAMLConfigurationsResponse ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
OrganizationsApi apiInstance = new OrganizationsApi ( defaultClient );
try {
SAMLConfigurationsResponse result = apiInstance . listSAMLConfigurations ();
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling OrganizationsApi#listSAMLConfigurations" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// List SAML configurations returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_organizations ::OrganizationsAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = OrganizationsAPI ::with_config ( configuration );
let resp = api . list_saml_configurations (). await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* List SAML configurations returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . OrganizationsApi ( configuration );
apiInstance
. listSAMLConfigurations ()
. then (( data : v2.SAMLConfigurationsResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"